Player = {}

-- player constructor
function Player.new(x, y, w, h, speed)
  local player = {}

  player.image = image
  player.x = x
  player.y = y
  player.w = w
  player.h = h
  player.speed = speed

  setmetatable(player, { __index = Player })

  return player
end

-- player movement
function Player:update(dt)
	if love.keyboard.isDown("right") then
		self.x = self.x + (self.speed * dt)
	end
	if love.keyboard.isDown("left") then
		self.x = self.x - (self.speed * dt)
	end
	if love.keyboard.isDown("down") then
		self.y = self.y + (self.speed * dt)
	end
	if love.keyboard.isDown("up") then
		self.y = self.y - (self.speed * dt)
	end 
end

function Player:draw()
 love.graphics.setColor(0,0,255)
 love.graphics.rectangle("fill", self.x, self.y, self.w, self.h) 
end
